★ TouchArcade needs your help. Click here to support us on Patreon.

1st gen touch and Unity games

02-08-2010, 06:35 PM
#1
Joined: Mar 2009
Posts: 187
1st gen touch and Unity games

Hey all

I seem to be having trouble with Unity games on a 1st gen touch. I have the latest update, but they all seem to lock up on boot.

Steam Wars
Eco Punk (which I just bought! Damnit)

Anyone else?
02-08-2010, 06:49 PM
#2
Joined: Dec 2009
Location: You don't wanna know
Posts: 445
try updating to 3.1.3. Also the games might be 2g and up exclusives. To get around this follow these steps.

find game IPA

Rename IPA to ZIP

open it up and drag the .app out

drag the .app into iTunes, replace the old one.

sync back to iPod


I haven't had a 1G for a while now so I can't try it out myself.

Beta: project 72, surf prodigy, ionage, cat trap, Heavy gunner

App Blog!
http://iptapp.wordpress.com/
02-08-2010, 11:03 PM
#3
Joined: Mar 2009
Posts: 187
It seems to be a problem with Unity games with Open Feint. Eco Punk finally started, and it took a few minutes to load the Open Feint screen (which is apparently what I was waiting for). Looks fine now.

Steam Wars Lite on the other hand, which is listed as not ipod 2g only, simply doesn't load past the main menu.
02-18-2010, 06:20 PM
#4
Joined: Dec 2009
Location: Montreal, Qc, Canada
Posts: 15
@jmarquiso: this is David from illogika, the developers of Steam Wars. The game should work on 1st gen iPods running 2.2.1 or later and it was tested on a 1st gen iPod touch. I'd like to know more about the bug you encountered so that we may be able to do something about it. Could you e-mail me at support[a]illogika[dot]com ?


Thanks
02-18-2010, 06:34 PM
#5
Joined: Jul 2008
Posts: 1,467
Quote:
Originally Posted by jmarquiso View Post
Hey all

I seem to be having trouble with Unity games on a 1st gen touch. I have the latest update, but they all seem to lock up on boot.

Steam Wars
Eco Punk (which I just bought! Damnit)

Anyone else?
I have a 1st Gen Touch running 2.2.1. I don't have either of those games, but other games with Unity seem to work OK for me.
02-27-2010, 10:20 PM
#6
time to upgrade